Date: Saturday, April 3, 2010 @ 07:56:35
  Author: andyrtr
Revision: 75773

rebuild for heimdal/icu; back to internal redland to solve some bugs

Modified:
  openoffice-base/trunk/ChangeLog
  openoffice-base/trunk/PKGBUILD

-----------+
 ChangeLog |    6 ++++++
 PKGBUILD  |   18 ++++++++++--------
 2 files changed, 16 insertions(+), 8 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog   2010-04-03 11:50:25 UTC (rev 75772)
+++ ChangeLog   2010-04-03 11:56:35 UTC (rev 75773)
@@ -1,3 +1,9 @@
+2010-04-02 Andreas Radke <andyrtr at archlinux.org>
+
+        * 3.2.0-3 :
+       - rebuild for icu 4.4
+       - use internal redland. system one is still too broken
+
 2010-03-31 Andreas Radke <andyrtr at archlinux.org>
 
         * 3.2.0-2 :

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2010-04-03 11:50:25 UTC (rev 75772)
+++ PKGBUILD    2010-04-03 11:56:35 UTC (rev 75773)
@@ -6,7 +6,7 @@
 pkgname=('openoffice-base' 'openoffice-sdk')
 _OO_milestone=OOO320_m12
 pkgver=3.2.0 # m12=3.2.0 RC5 = final
-pkgrel=2
+pkgrel=3
 arch=('i686' 'x86_64')
 license=('LGPL3')
 url="http://www.openoffice.org";
@@ -15,10 +15,10 @@
              'pam' 'sane' 'zip' 'perl-archive-zip' 'pkgconfig' 'unzip' 
"xulrunner>=1.9.2" 
              'apache-ant>=1.7.1-3' 'cairo' 'gperf' 'libcups' 'poppler' 
'kdelibs>=4.4.0-3' 'pstoedit' 'gconf' "openjdk6>=6.b17_1.7"
             # from main OOo the deps
-            "curl>=7.19.7" "hunspell>=1.2.8" "python>=2.6.4" 'libwpd' 
'redland>=1.0.10' 'libxaw' "neon>=0.28.6"
-             'dbus-glib' "icu>=4.2.1" 'hsqldb-java' 'libxslt' 
'hicolor-icon-theme' 'desktop-file-utils'
+            "curl>=7.19.7" "hunspell>=1.2.8" "python>=2.6.4" 'libwpd' 'libxaw' 
"neon>=0.28.6"
+             'dbus-glib' "icu>=4.4" 'hsqldb-java' 'libxslt' 
'hicolor-icon-theme' 'desktop-file-utils'
             'beanshell' 'saxon' 'vigra' 'libgraphite' 'hyphen' 'lpsolve' 
'libmspack' 'libldap' 'lucene' 'boost>=1.41.0')
-            # libmythes
+            # libmythes 'redland>=1.0.10' 
 source=(ftp://ftp.archlinux.org/other/openoffice/${_OO_milestone}.tar.gz
        http://tools.openoffice.org/unowinreg_prebuild/680/unowinreg.dll
        startcenter.desktop
@@ -84,7 +84,7 @@
        # important bugfixes
        # ...nothing :)
        # http://www.openoffice.org/issues/show_bug.cgi?id=108911
-       patch -Np1 -i ${srcdir}/redland.patch || return 1
+#      patch -Np1 -i ${srcdir}/redland.patch || return 1
 
        # remove the startup wizard
        patch -Np0 -i ${srcdir}/default-no-startup-wizard.diff || return 1
@@ -159,7 +159,6 @@
        --with-system-mozilla=libxul\
        --with-system-xrender-headers\
        --with-system-headers\
-       --with-system-redland\
        --with-alloc=system\
        --with-jdk-home=${JAVA_HOME}\
        --with-lucene-core-jar=/usr/share/java/lucene-core.jar\
@@ -168,6 +167,9 @@
        --with-use-shell=bash\
         $EXTRAOPTS || return 1
 
+#      --with-system-redland\
+
+
 #      --enable-layout\ /bin/bash: tralay: command not found ???
 #      --with-system-jfreereport
 #      --with-system-mythes\
@@ -191,9 +193,9 @@
 
  pkgdesc="OpenOffice.org - a free multiplatform and multilingual office suite"
  install=openoffice.install
- depends=("curl>=7.19.7" "hunspell>=1.2.8" "python>=2.6.4" 'libwpd' 'redland' 
'libxaw' "neon>=0.28.6" 'gtk2'
+ depends=("curl>=7.19.7" "hunspell>=1.2.8" "python>=2.6.4" 'libwpd' 'libxaw' 
"neon>=0.28.6" 'gtk2'
           'dbus-glib' "icu>=4.2.1" 'hsqldb-java' 'libxslt' 
'hicolor-icon-theme' 'desktop-file-utils' 
-         'beanshell' 'saxon' 'vigra' 'libgraphite' 'hyphen' 'lpsolve' 
'libmspack' 'libldap' 'lucene') # 'libmythes'
+         'beanshell' 'saxon' 'vigra' 'libgraphite' 'hyphen' 'lpsolve' 
'libmspack' 'libldap' 'lucene') # 'libmythes' 'redland'
  optdepends=('java-runtime:    adds java support'
             'libcups:          adds printing support'
             'gconf:            adds additional gnome support'

Reply via email to